<?php
global $photonic_zenfolio_options;

$photonic_zenfolio_options = array(
	array("name" => "Zenfolio Photo Settings",
		"desc" => "Control settings for Zenfolio",
		"category" => "zenfolio-settings",
		"type" => "section",),

/*	array("name" => "Zenfolio user name",
		"desc" => "Enter your Zenfolio user name",
		"id" => "zenfolio_user",
		"grouping" => "zenfolio-settings",
		"type" => "text",
		"std" => ""),*/

	array("name" => "Disable lightbox linking",
		"desc" => "Check this to disable linking the photo title in the lightbox to the original photo page.",
		"id" => "zenfolio_disable_title_link",
		"grouping" => "zenfolio-settings",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Constrain Photos Per Row",
		"desc" => "How do you want the control the number of photo thumbnails per row? This can be overridden by adding the '<code>columns</code>' parameter to the '<code>gallery</code>' shortcode.",
		"id" => "zenfolio_photos_per_row_constraint",
		"grouping" => "zenfolio-settings",
		"type" => "select",
		"options" => array("padding" => "Fix the padding around the thumbnails",
			"count" => "Fix the number of thumbnails per row",
		),
		"std" => "padding"),

	array("name" => "Constrain by padding",
		"desc" => " If you have constrained by padding above, enter the number of pixels here to pad the thumbs by",
		"id" => "zenfolio_photos_constrain_by_padding",
		"grouping" => "zenfolio-settings",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "15"),

	array("name" => "Constrain by number of thumbnails",
		"desc" => " If you have constrained by number of thumbnails per row above, enter the number of thumbnails",
		"id" => "zenfolio_photos_constrain_by_count",
		"grouping" => "zenfolio-settings",
		"type" => "slider",
		"options" => array("range" => "min", "min" => 1, "max" => 25, "step" => 1, "size" => "400px", "unit" => ""),
		"std" => 5),

	array("name" => "Photo Thumbnail Border",
		"desc" => "Setup the border of photo thumbnail when the photo is displayed as a part of a photoset or in a photo-stream. This is valid for the short-code usage <code>[gallery type='zenfolio' view='photosets' object_id='xyz']</code>, or <code>[gallery type='zenfolio' view='photos' kind='popular']</code>.",
		"id" => "zenfolio_photo_thumb_border",
		"grouping" => "zenfolio-settings",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Photo Thumbnail - Padding between border and image",
		"desc" => "Setup the padding between the photo thumbnail and its border.",
		"id" => "zenfolio_photo_thumb_padding",
		"grouping" => "zenfolio-settings",
		"type" => "padding",
		"options" => array(),
		"std" => array(
			'top' => array('padding' => 0, 'padding-type' => 'px'),
			'right' => array('padding' => 0, 'padding-type' => 'px'),
			'bottom' => array('padding' => 0, 'padding-type' => 'px'),
			'left' => array('padding' => 0, 'padding-type' => 'px'),
		),
	),

	array("name" => "Thumbnail size",
		"desc" => "What size should a thumbnail be shown in if no size is specified? Zenfolio lets you display a thumbnail in the following sizes:",
		"id" => "zenfolio_thumb_size",
		"grouping" => "zenfolio-settings",
		"type" => "select",
		"options" => array(
			"0" => "Small thumbnail, upto 80 x 80px",
			"1" => "Square thumbnail, 60 x 60px, cropped square",
			"10" => "Medium thumbnail, upto 120 x 120px",
			"11" => "Large thumbnail, upto 120 x 120px",
			"2" => "Small image, upto 400 x 400px",
		),
		"std" => "1"),

	array("name" => "Main image size",
		"desc" => "Show this size for the image in the lightbox:",
		"id" => "zenfolio_main_size",
		"grouping" => "zenfolio-settings",
		"type" => "select",
		"options" => array(
			"2" => "Small image, upto 400 x 400px",
			"3" => "Medium image, upto 580 x 450px",
			"4" => "Large image, upto 800 x 630px",
			"5" => "X-Large image, upto 1100 x 850px",
			"6" => "XX-Large image, upto 1550 x 960px",
		),
		"std" => "4"),

	array("name" => "Photo Title Display",
		"desc" => "How do you want the title of the photos?",
		"id" => "zenfolio_photo_title_display",
		"grouping" => "zenfolio-settings",
		"type" => "select",
		"options" => array(
			"regular" => "Normal title display using the HTML \"title\" attribute",
			"below" => "Below the thumbnail",
			"tooltip" => "Using the <a href='http://bassistance.de/jquery-plugins/jquery-plugin-tooltip/'>JQuery Tooltip</a> plugin",
		),
		"std" => "tooltip"),

	array("name" => "Zenfolio Groups",
		"desc" => "Control settings for Zenfolio Groups",
		"category" => "zenfolio-groups",
		"type" => "section",),

	array("name" => "What is this section?",
		"desc" => "Options in this section are in effect when you use the shortcode format <code>[gallery type='zenfolio' view='hierarchy' ...]</code> or <code>[gallery type='zenfolio' view='group' ...]</code>. They are used to control the Photoset's thumbnail display",
		"grouping" => "zenfolio-groups",
		"type" => "blurb",),

	array("name" => "Exclude Empty Groups",
		"desc" => "Do not show groups whose immediate children photosets have no photos.",
		"id" => "zenfolio_hide_empty_groups",
		"grouping" => "zenfolio-groups",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Group Title",
		"desc" => "This will hide the title for your Zenfolio Group.",
		"id" => "zenfolio_hide_group_title",
		"grouping" => "zenfolio-groups",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Link to Zenfolio",
		"desc" => "Link the group title (if shown) to the Zenfolio group page",
		"id" => "zenfolio_link_group_page",
		"grouping" => "zenfolio-groups",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Number of Photos, if available",
		"desc" => "This will hide the number of photos in your Zenfolio Group.",
		"id" => "zenfolio_hide_group_photo_count",
		"grouping" => "zenfolio-groups",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Number of Sub-Groups, if available",
		"desc" => "This will hide the number of sub-groups in your Zenfolio Group.",
		"id" => "zenfolio_hide_group_group_count",
		"grouping" => "zenfolio-groups",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Number of Photosets, if available",
		"desc" => "This will hide the number of photosets in your Zenfolio Group.",
		"id" => "zenfolio_hide_group_set_count",
		"grouping" => "zenfolio-groups",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Zenfolio Photoset Thumbnails (with other Photosets)",
		"desc" => "Control settings for Zenfolio Photoset thumbnails",
		"category" => "zenfolio-sets",
		"type" => "section",),

	array("name" => "What is this section?",
		"desc" => "Options in this section are in effect when you use the shortcode format <code>[gallery type='zenfolio' view='photosets' ...]</code>. They are used to control the Photoset's thumbnail display",
		"grouping" => "zenfolio-sets",
		"type" => "blurb",),

	array("name" => "Photoset Title Display",
		"desc" => "How do you want the title of the Photoset?",
		"id" => "zenfolio_set_title_display",
		"grouping" => "zenfolio-sets",
		"type" => "select",
		"options" => array(
			"regular" => "Normal title display using the HTML \"title\" attribute",
			"below" => "Below the thumbnail",
			"tooltip" => "Using the <a href='http://bassistance.de/jquery-plugins/jquery-plugin-tooltip/'>JQuery Tooltip</a> plugin",
		),
		"std" => "tooltip"),

	array("name" => "Hide Photo Count in Title Display",
		"desc" => "This will hide the number of photos in your Photoset's title.",
		"id" => "zenfolio_hide_set_photos_count_display",
		"grouping" => "zenfolio-sets",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide thumbnails for Password-protected sets",
		"desc" => "This will hide the thumbnail of password-protected photosets (Password-protected sets are not currently supported, so it is advisable to hide the thumbnails).",
		"id" => "zenfolio_hide_password_protected_thumbnail",
		"grouping" => "zenfolio-sets",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Constrain Photosets Per Row",
		"desc" => "How do you want the control the number of photoset thumbnails per row? This can be overridden by adding the '<code>columns</code>' parameter to the '<code>gallery</code>' shortcode.",
		"id" => "zenfolio_sets_per_row_constraint",
		"grouping" => "zenfolio-sets",
		"type" => "select",
		"options" => array("padding" => "Fix the padding around the thumbnails",
			"count" => "Fix the number of thumbnails per row",
		),
		"std" => "padding"),

	array("name" => "Constrain by padding",
		"desc" => " If you have constrained by padding above, enter the number of pixels here to pad the thumbs by",
		"id" => "zenfolio_sets_constrain_by_padding",
		"grouping" => "zenfolio-sets",
		"type" => "text",
		"hint" => "Enter the number of pixels here (don't enter 'px'). Non-integers will be ignored.",
		"std" => "15"),

	array("name" => "Constrain by number of thumbnails",
		"desc" => " If you have constrained by number of thumbnails per row above, enter the number of thumbnails",
		"id" => "zenfolio_sets_constrain_by_count",
		"grouping" => "zenfolio-sets",
		"type" => "slider",
		"options" => array("range" => "min", "min" => 1, "max" => 25, "step" => 1, "size" => "400px", "unit" => ""),
		"std" => 5),

	array("name" => "Photoset Thumbnail Border",
		"desc" => "Setup the border of Photoset thumbnail when the Photoset is a part of a larger group of photosets, like search results. This is valid for the short-code usage <code>[gallery type='zenfolio' view='photosets' ...]</code>",
		"id" => "zenfolio_sets_set_thumb_border",
		"grouping" => "zenfolio-sets",
		"type" => "border",
		"options" => array(),
		"std" => array(
			'top' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'right' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
			'bottom' => array('colortype' => 'custom', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 1, 'border-width-type' => 'px'),
			'left' => array('colortype' => 'transparent', 'color' => '#c0c0c0', 'style' => 'none', 'border-width' => 0, 'border-width-type' => 'px'),
		),
	),

	array("name" => "Photoset Thumbnail - Padding between border and image",
		"desc" => "Setup the padding between the photoset thumbnail and its border.",
		"id" => "zenfolio_sets_set_thumb_padding",
		"grouping" => "zenfolio-sets",
		"type" => "padding",
		"options" => array(),
		"std" => array(
			'top' => array('padding' => 0, 'padding-type' => 'px'),
			'right' => array('padding' => 0, 'padding-type' => 'px'),
			'bottom' => array('padding' => 0, 'padding-type' => 'px'),
			'left' => array('padding' => 0, 'padding-type' => 'px'),
		),
	),

	array("name" => "Zenfolio Photoset Header Thumbnails",
		"desc" => "Control settings for Zenfolio Photosets when displayed in your page",
		"category" => "zenfolio-set",
		"type" => "section",),

	array("name" => "What is this section?",
		"desc" => "Options in this section are in effect when you use the shortcode format <code>[gallery type='zenfolio' view='photosets' ...]</code>. In other words, the gallery output for the Photoset is directly on the page, or in a popup and you want to control your Photoset's thumbnail.",
		"grouping" => "zenfolio-set",
		"type" => "blurb",),

	array("name" => "Hide Photoset Thumbnail",
		"desc" => "This will hide the thumbnail for your Zenfolio Photoset.",
		"id" => "zenfolio_hide_set_thumbnail",
		"grouping" => "zenfolio-set",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Photoset Title",
		"desc" => "This will hide the title for your Zenfolio Photoset.",
		"id" => "zenfolio_hide_set_title",
		"grouping" => "zenfolio-set",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Link to Zenfolio",
		"desc" => "Link the set thumbnail and title (if shown) to the Zenfolio set page",
		"id" => "zenfolio_link_set_page",
		"grouping" => "zenfolio-set",
		"type" => "checkbox",
		"std" => ""),

	array("name" => "Hide Number of Photos",
		"desc" => "This will hide the number of photos in your Zenfolio Photoset.",
		"id" => "zenfolio_hide_set_photo_count",
		"grouping" => "zenfolio-set",
		"type" => "checkbox",
		"std" => ""),
);
